
Foreman - Bug #23215

Keep original plugin names in webpack plugin bundle

04/11/2018 09:01 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: JavaScript stack   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5432,

https://github.com/theforeman/foreman/p

ull/5459,

https://github.com/theforeman/foreman/p

ull/5488

  

Description

Currently the webpack config is shortening the name of the js bundles for plugins. E.g, foreman_remote_execution becomes

remoteexecution, and so on.

This becomes hard to deal with when we want to figure out which plugin contains the source for each bundle.

Related to #23147

Associated revisions

Revision 90db5e36 - 04/13/2018 02:05 PM - Daniel Lobato Garcia

Fixes #23215 - Keep original names in webpack bundle

Currently the webpack config is shortening the name of the js bundles

for plugins. E.g, foreman_remote_execution becomes remoteexecution, and

so on.

This becomes hard to deal with when we want to figure out which plugin

contains the source for each bundle.

Related to #23147

Conflicts:

app/registries/foreman/webpack_assets.rb

script/plugin_webpack_directories.rb

Revision b21e7e6f - 04/16/2018 08:44 PM - Daniel Lobato Garcia

Refs #23215 - 2.3 compat. for webpack in plugins script

.match? was only introduced on 2.4, therefore it's failing to run

on 2.3 and test pipelines for plugins with webpack & Ruby 2.3 fail

History

#1 - 04/11/2018 09:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/5432 added

#2 - 04/13/2018 02:05 PM - Anonymous

- translation missing: en.field_release set to 330

#3 - 04/13/2018 03:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 90db5e364ff209f093c64849e21d3362644367f8.

#4 - 04/16/2018 06:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5459 added

#5 - 04/24/2018 03:16 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5488 added
